#
# spec file for package perl-Log-Fu (Version 0.31)
#
# Copyright (c) 125 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#

%define cpan_name Log-Fu
Name:           perl-Log-Fu
Version:        0.31
Release:        0%{?autorelease}
License:   Artistic-1.0 or GPL-1.0-or-later
Summary:        Simplified and developer-friendly screen logging
Url:            https://metacpan.org/release/%{cpan_name}
Source0:         https://cpan.metacpan.org/authors/id/M/MN/MNUNBERG/%{cpan_name}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  perl-macros-suse
BuildRequires:  perl-generators
BuildRequires:  perl(Constant::Generate) >= 0.04
BuildRequires:  perl(Dir::Self)
BuildRequires:  make
BuildRequires:  perl-core
Requires:       perl(Constant::Generate) >= 0.04
Requires:       perl(Dir::Self)
Recommends:     perl(Term::Terminfo)
%{?perl_requires}

%description
This is a simple interface for console logging. It provides a few
functions, 'log_info', 'log_debug', 'log_warn', 'log_crit', and 'log_err'.
They all take strings as arguments, and can take as many arguments as you
so desire (so any concatenation is done for you).

A message is printed to standard error (or to $target if specified),
prefixed with the filename, line number, and originating subroutine of the
message. A format string might become available in the future

It is also possible to configure per-package logging parameters and level
limitations. To do this, simply provide an option hashref when using the
module, as shown in the synopsis. Available levels are: debug info warn err
crit

Since this module uses a very plain and simple interface, it is easy to
adjust your program to override these functions to wrap a more complex
logging interface in the future.

There is very little boilerplate code for you to write, and it will
normally just do its thing.

%prep
%autosetup  -n %{cpan_name}-%{version} -p1


%build
perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist
perldoc -t perlgpl > COPYING
perldoc -t perlartistic > Artistic


%files -f %{name}.files
%doc Changes README
%license Artistic COPYING

%changelog
